Subject: Re: bug#15294: 24.3.50; js2-mode parser is several times slower in lexical-binding mode
From: Stefan Monnier <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Dec 2014 09:08:23 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>>> Not sure if I should close this issue now or at least wait until
>>> byte-compile--use-old-handlers is nil by default.
>> won't run on older Emacsen.  I think I'd like to see 24.4 release before
>> making the change.  But please do set it in your .emacs ASAP so it gets
>> wider testing.
> Just a reminder: I've been running with that setting for a while now,

So have I.

> with no problems that I can remember.

Well, I fixed a bug in it a while ago (some issue with "volatile", fixed
before the 24.4 release), but other than that, indeed it works fine.

The default value has been changed in "master" a couple months ago, already.

        Stefan